class DumbIA extends DeciderData {

    /* cette clase hérite de DeciderData et permet d'accder à :
       - gameState : objet contenant des données/méthodes permettant d'aider à prendre une décision de jeu.
                       NB: cet objet est un clone de celui qui va servir à réellement jouer.
       - idInParty : = 0 si je suis le premier joueur, et 1 sinon
       - numTurn : le numéro du tour, surout utilie s'il vaut 0 pur se mettre ne position initale.

     */

    final static int NORD_1_L = 0;
    final static int NORD_1_C = 1;
    final static int SUD_1_L = 2;
    final static int SUD_1_C = 3;
    final static int EST_1_L = 4;
    final static int EST_1_C = 5;
    final static int OUEST_1_L = 6;
    final static int OUEST_1_C = 7;
    final static int NORD_2_L = 8;
    final static int NORD_2_C = 9;
    final static int SUD_2_L = 10;
    final static int SUD_2_C = 11;
    final static int EST_2_L = 12;
    final static int EST_2_C = 13;
    final static int OUEST_2_L = 14;
    final static int OUEST_2_C = 15;
    final static int NORDEST_L = 16;
    final static int NORDEST_C = 17;
    final static int NORDOUEST_L = 18;
    final static int NORDOUEST_C = 19;
    final static int SUDEST_L = 20;
    final static int SUDEST_C = 21;
    final static int SUDOUEST_L = 22;
    final static int SUDOUEST_C = 23;

    WalleBoard board;

    public DumbIA() {
        super();
    }

    public String decidePlay() {

        board = (WalleBoard)gameState;

        if (numTurn == 0) {
            if (idInParty == 0) {
                return "i,0,4";
            }
            else {
                return "i,10,4";
            }
        }
        String rep = "dont know";
        int[] poss = board.possiblePawnMoves(idInParty);

        // si je suis joueur 0, j'esssaie d'aller le plus vite possible au sud, sinon au nord
        if (idInParty == 0) {
            if ((poss[SUD_2_L] != -1) && (poss[SUD_2_C] != -1)) {
                rep = "d,"+poss[SUD_2_L]+","+poss[SUD_2_C];
            }
            else if ((poss[SUDEST_L] != -1) && (poss[SUDEST_C] != -1)) {
                rep = "d,"+poss[SUDEST_L]+","+poss[SUDEST_C];
            }
            else if ((poss[SUDOUEST_L] != -1) && (poss[SUDOUEST_C] != -1)) {
                rep = "d,"+poss[SUDOUEST_L]+","+poss[SUDOUEST_C];
            }
            else if ((poss[SUD_1_L] != -1) && (poss[SUD_1_C] != -1)) {
                rep = "d,"+poss[SUD_1_L]+","+poss[SUD_1_C];
            }
            else if ((poss[EST_1_L] != -1) && (poss[EST_1_C] != -1)) {
                rep = "d,"+poss[EST_1_L]+","+poss[EST_1_C];
            }
            else if ((poss[OUEST_1_L] != -1) && (poss[OUEST_1_C] != -1)) {
                rep = "d,"+poss[OUEST_1_L]+","+poss[OUEST_1_C];
            }
            else if ((poss[EST_2_L] != -1) && (poss[EST_2_C] != -1)) {
                rep = "d,"+poss[EST_2_L]+","+poss[EST_2_C];
            }
            else if ((poss[OUEST_2_L] != -1) && (poss[OUEST_2_C] != -1)) {
                rep = "d,"+poss[OUEST_2_L]+","+poss[OUEST_2_C];
            }
            else if ((poss[NORDEST_L] != -1) && (poss[NORDEST_C] != -1)) {
                rep = "d,"+poss[NORDEST_L]+","+poss[NORDEST_C];
            }
            else if ((poss[NORDOUEST_L] != -1) && (poss[NORDOUEST_C] != -1)) {
                rep = "d,"+poss[NORDOUEST_L]+","+poss[NORDOUEST_C];
            }
            else if ((poss[NORD_1_L] != -1) && (poss[NORD_1_C] != -1)) {
                rep = "d,"+poss[NORD_1_L]+","+poss[NORD_1_C];
            }
            else if ((poss[NORD_2_L] != -1) && (poss[NORD_2_C] != -1)) {
                rep = "d,"+poss[NORD_2_L]+","+poss[NORD_2_C];
            }
        }
        else {
            if ((poss[NORD_2_L] != -1) && (poss[NORD_2_C] != -1)) {
                rep = "d,"+poss[NORD_2_L]+","+poss[NORD_2_C];
            }
            else if ((poss[NORDEST_L] != -1) && (poss[NORDEST_C] != -1)) {
                rep = "d,"+poss[NORDEST_L]+","+poss[NORDEST_C];
            }
            else if ((poss[NORDOUEST_L] != -1) && (poss[NORDOUEST_C] != -1)) {
                rep = "d,"+poss[NORDOUEST_L]+","+poss[NORDOUEST_C];
            }
            else if ((poss[NORD_1_L] != -1) && (poss[NORD_1_C] != -1)) {
                rep = "d,"+poss[NORD_1_L]+","+poss[NORD_1_C];
            }
            else if ((poss[EST_1_L] != -1) && (poss[EST_1_C] != -1)) {
                rep = "d,"+poss[EST_1_L]+","+poss[EST_1_C];
            }
            else if ((poss[OUEST_1_L] != -1) && (poss[OUEST_1_C] != -1)) {
                rep = "d,"+poss[OUEST_1_L]+","+poss[OUEST_1_C];
            }
            else if ((poss[EST_2_L] != -1) && (poss[EST_2_C] != -1)) {
                rep = "d,"+poss[EST_2_L]+","+poss[EST_2_C];
            }
            else if ((poss[OUEST_2_L] != -1) && (poss[OUEST_2_C] != -1)) {
                rep = "d,"+poss[OUEST_2_L]+","+poss[OUEST_2_C];
            }
            else if ((poss[SUDEST_L] != -1) && (poss[SUDEST_C] != -1)) {
                rep = "d,"+poss[SUDEST_L]+","+poss[SUDEST_C];
            }
            else if ((poss[SUDOUEST_L] != -1) && (poss[SUDOUEST_C] != -1)) {
                rep = "d,"+poss[SUDOUEST_L]+","+poss[SUDOUEST_C];
            }
            else if ((poss[SUD_1_L] != -1) && (poss[SUD_1_C] != -1)) {
                rep = "d,"+poss[SUD_1_L]+","+poss[SUD_1_C];
            }
            else if ((poss[SUD_2_L] != -1) && (poss[SUD_2_C] != -1)) {
                rep = "d,"+poss[SUD_2_L]+","+poss[SUD_2_C];
            }
        }
        return rep;
    }
}
